[SciPy-user] installation problem

Ryan Krauss ryanlists at gmail.com
Tue Feb 7 14:01:58 CST 2006


I am trying to install scipy/numpy from SVN on a computer on campus. 
I have what I thought was an identical Ubuntu installation to the one
I have at home where everything is working beautifully.  I am getting
the following while trying to install numpy:

I am getting a message about lapack not being in atlas, which I don't
understand since I have the ubuntu packages for both installed (which
I think is just like on my home computer).

Thanks for your help,

Ryan

ryan at Lagrange:~/svn/numpy$ sudo python setup.py install
Running from numpy source directory.
Warning: not existing data path in numpy/distutils: site.cfg
No module named __svn_version__
F2PY Version 2_2059
blas_opt_info:
blas_mkl_info:
  NOT AVAILABLE

atlas_blas_threads_info:
Setting PTATLAS=ATLAS
  NOT AVAILABLE

atlas_blas_info:
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/sse2']
    language = c
    include_dirs = ['/usr/include']

running build_src
building extension "atlas_version" sources
  adding 'build/src/atlas_version_-0xf63e660.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/sse2']
    language = c
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    include_dirs = ['/usr/include']

lapack_opt_info:
lapack_mkl_info:
mkl_info:
  NOT AVAILABLE

  NOT AVAILABLE

atlas_threads_info:
Setting PTATLAS=ATLAS
numpy.distutils.system_info.atlas_threads_info
  NOT AVAILABLE

atlas_info:
numpy.distutils.system_info.atlas_info
/home/ryan/svn/numpy/numpy/distutils/system_info.py:811: UserWarning:
*********************************************************************
    Could not find lapack library within the ATLAS installation.
*********************************************************************

  warnings.warn(message)
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib/sse2']
    language = c
    define_macros = [('ATLAS_WITHOUT_LAPACK', None)]
    include_dirs = ['/usr/include']

running build_src
building extension "atlas_version" sources
  adding 'build/src/atlas_version_0x39f8be52.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
lapack_info:
  FOUND:
    libraries = ['lapack']
    library_dirs = ['/usr/lib']
    language = f77

  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas', 'lapack']
    library_dirs = ['/usr/lib/sse2', '/usr/lib']
    define_macros = [('ATLAS_WITHOUT_LAPACK', None), ('ATLAS_INFO',
'"\\"3.6.0\\""')]
    language = f77
    include_dirs = ['/usr/include']

running install
running build
running config_fc
running build_src
building py_modules sources
building extension "numpy.core.multiarray" sources
  adding 'build/src/numpy/core/config.h' to sources.
  adding 'build/src/numpy/core/__multiarray_api.h' to sources.
  adding 'build/src/numpy/core/src' to include_dirs.
numpy.core - nothing done with h_files=
['build/src/numpy/core/src/scalartypes.inc',
'build/src/numpy/core/src/arraytypes.inc',
'build/src/numpy/core/config.h',
'build/src/numpy/core/__multiarray_api.h']
building extension "numpy.core.umath" sources
  adding 'build/src/numpy/core/config.h' to sources.
  adding 'build/src/numpy/core/__ufunc_api.h' to sources.
  adding 'build/src/numpy/core/src' to include_dirs.
numpy.core - nothing done with h_files=
['build/src/numpy/core/src/scalartypes.inc',
'build/src/numpy/core/src/arraytypes.inc',
'build/src/numpy/core/config.h', 'build/src/numpy/core/__ufunc_api.h']
building extension "numpy.core._sort" sources
  adding 'build/src/numpy/core/config.h' to sources.
  adding 'build/src/numpy/core/__multiarray_api.h' to sources.
numpy.core - nothing done with h_files=
['build/src/numpy/core/config.h',
'build/src/numpy/core/__multiarray_api.h']
building extension "numpy.core._dotblas" sources
  adding 'numpy/core/blasdot/_dotblas.c' to sources.
building extension "numpy.lib._compiled_base" sources
building extension "numpy.dft.fftpack_lite" sources
building extension "numpy.linalg.lapack_lite" sources
  adding 'numpy/linalg/lapack_litemodule.c' to sources.
building extension "numpy.random.mtrand" sources
building data_files sources
running build_py
copying build/src/numpy/__config__.py -> build/lib.linux-i686-2.4/numpy
copying build/src/numpy/distutils/__config__.py ->
build/lib.linux-i686-2.4/numpy/distutils
copying numpy/f2py/__svn_version__.py -> build/lib.linux-i686-2.4/numpy/f2py
copying numpy/core/__svn_version__.py -> build/lib.linux-i686-2.4/numpy/core
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
customize GnuFCompiler
customize GnuFCompiler
customize GnuFCompiler using build_ext
building 'numpy.core.multiarray' extension
compiling C sources
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall
-Wstrict-prototypes -fPIC'
compile options: '-Ibuild/src/numpy/core/src -Inumpy/core/include
-Ibuild/src/numpy/core -Inumpy/core/src -Inumpy/core/include
-I/usr/include/python2.4 -c'
gcc: numpy/core/src/multiarraymodule.c
In file included from numpy/core/src/multiarraymodule.c:65:
numpy/core/src/arrayobject.c:3527: error: conflicting types for
'PyArray_CheckStrides'
build/src/numpy/core/__multiarray_api.h:157: error: previous
declaration of 'PyArray_CheckStrides' was here
In file included from numpy/core/src/multiarraymodule.c:65:
numpy/core/src/arrayobject.c:3527: error: conflicting types for
'PyArray_CheckStrides'
build/src/numpy/core/__multiarray_api.h:157: error: previous
declaration of 'PyArray_CheckStrides' was here
error: Command "gcc -pthread -fno-strict-aliasing -DNDEBUG -g -O3
-Wall -Wstrict-prototypes -fPIC -Ibuild/src/numpy/core/src
-Inumpy/core/include -Ibuild/src/numpy/core -Inumpy/core/src
-Inumpy/core/include -I/usr/include/python2.4 -c
numpy/core/src/multiarraymodule.c -o
build/temp.linux-i686-2.4/numpy/core/src/multiarraymodule.o" failed
with exit status 1



More information about the SciPy-user mailing list